Retrieve Profile by Username

View as Markdown

Retrieves the IAMUser profile based on a username (or email) provided in the URL path. The endpoint returns detailed profile information using the IAMUserDetailViewSerializer.

Path parameters

usernamestringRequired
The username or email of the user.

Response

User profile details.
user_idstringRead-only
full_namestringRead-only
emailstringRead-onlyformat: "email"
usernamestringRead-only
created_atdatetimeRead-only
profile_picturestringRead-onlyformat: "uri"
biostringRead-only
addressanyRead-only
countrystringRead-only
phonestringRead-only
dobdateRead-only
linkedin_urlstringRead-onlyformat: "uri"
github_urlstringRead-onlyformat: "uri"
twitter_urlstringRead-onlyformat: "uri"
facebook_urlstringRead-onlyformat: "uri"
website_urlstringRead-onlyformat: "uri"
portfolio_urlstringRead-onlyformat: "uri"
resumestringRead-onlyformat: "uri"
company_infoanyRead-only
communication_preferences_phonebooleanRead-only
communication_preferences_emailbooleanRead-only
platform_features_emailsbooleanRead-only
activity_based_emailsbooleanRead-only
skills_datalist of objectsRead-only
investment_interests_datalist of objectsRead-only
technical_interests_datalist of objectsRead-only
focus_area_datalist of objectsRead-only
followers_countintegerRead-only
following_countintegerRead-only
is_followingbooleanRead-only
is_followed_backbooleanRead-only
is_current_userbooleanRead-only
top_domain_elodoubleRead-only
top_domain_rankintegerRead-only
streakstringRead-only
highest_streakstringRead-only
streak_freeze_daysstringRead-only
titlestringRead-only
unlocked_titlesstringRead-only
skillslist of integers
investment_interestslist of integers
technical_interestslist of integers
focus_arealist of integers
additional_dataany or null

Errors

404
Not Found Error